×

INDI Library v1.9.8 Released (29 Sep 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

INDI support ZWO new camera ASI678MC?

  • Posts: 5
  • Thank you received: 0
I have updated indi_asi_ccd to the latest 2.2 version in my StellarmateOS (latest v1.7.2) with command sudo apt-get install indi-asi
but always get [ERROR] Error connecting to the CCD (ASI_ERROR_CAMERA_REMOVED).

Just wonder if INDI asi camera driver acutally support this ASI678MC? if not, would support ZWO's new camera ASI678MC in next few release?
3 months 3 weeks ago #85034

Please Log in or Create an account to join the conversation.

Use "ZWO CCD" driver instead of "ZWO Camera 1".

If this is 64bit version, then it would be indeed using older SDK v1.22 as the new ZWO SDK v1.25 causes a crash and we are still waiting for a fix from ZWO.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
Last edit: 3 months 3 weeks ago by Jasem Mutlaq.
3 months 3 weeks ago #85051

Please Log in or Create an account to join the conversation.

  • Posts: 434
  • Thank you received: 156
ZWO just released an updated SDK today and change log says fixes the ARM64 issue, github.com/indilib/indi-3rdparty/pull/626

It does also mention some optimizations for 678 cameras so I'd guess they are supported by this version.
Remote observatory running Ubuntu 21.10 x64 with ScopeDome 2M, Skywatcher EQ8, TS 8" RC, Atik 383L+, ASI178MC, ASI120MM-S, SX Lodestar X2, SX USB wheel with OAG, ZWO EAF, Gemini SnapCap, USB_DewPoint, KomaHub
3 months 3 weeks ago #85069

Please Log in or Create an account to join the conversation.

  • Posts: 5
  • Thank you received: 0
yes, it is the 64bit version. thanks for the reply. I will wait for the update.
3 months 3 weeks ago #85081

Please Log in or Create an account to join the conversation.

  • Posts: 5
  • Thank you received: 0
I tried to
1.download the ZWO SDK v1.26 linux version
2. sudo copy the file libASICamera2.so and libASICCamera2.so.1.26 to the folder /lib/aarch64-linux-gnu (replace the old libASICamera2.so)
3. rebuild the cache with:
sudo rm /etc/ld.so.cache
sudo ldconfig -v

then tried to rerun the Kstars/Ekos/INDI, this time INIDI won't start correctly with message box: "INDI Driver indi_asi_ccd crashed. Restart it? "

if I recover the old libASICamera2.so and libASICCamera2.so.1.25 to /lib/aarch64-linux-gnu, the driver indi_asi_ccd can start, but go back to the old problem: [ERROR] Error connecting to the CCD (ASI_ERROR_CAMERA_REMOVED) with ASI678MC

Do I miss anything?
Last edit: 3 months 2 weeks ago by oscar.
3 months 2 weeks ago #85246

Please Log in or Create an account to join the conversation.

  • Posts: 5
  • Thank you received: 0
actually, I missed that when run ldconfig, it actually complains libASICamera2.so is not an ELF file.

it is because after copying libASICamera2.so from ZWO SDK to my Pi4, somehow it is corrupted. after re-copy the libASICamera2.so and use command
file libASICamera2.so
to confirm it is an ELF file, ldconfig can run without a problem.
then everything works on the ASI678MC
3 months 2 weeks ago #85248

Please Log in or Create an account to join the conversation.

1.26 is currently build in Launchpad, should be ready in a couple of hours.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
3 months 2 weeks ago #85259

Please Log in or Create an account to join the conversation.

Time to create page: 0.723 seconds